Ship with return label
API reference ShipmentDocumentsBatchAPIV3
Overview
byrd can already add a return label to your shipments when sending them. This allows your customers to return items using a precreated label. The label can be printed and included in the parcel (with a cost) or just created as part of the shipment from where you can download it or get the details. Some marketplaces require it (e.g. Otto, Zalando). If the label is used and the return reaches the warehouse, you will be charged according to the rates agreed with byrd.
If you are interested in this feature please reach out to your contact person in byrd to enable it.
Return tracking infos available after releaseThe return label is created and the return tracking information is available after the shipment is successfully released to the warehouse.
Multiple documents possiblePlease be aware that there can be multiple documents returned by this endpoint (e.g. The shipping label with tracking information which are used to track the actual shipment). You need to use the information provided by the document with
type="return_label"!
Method access
GET https://api.getbyrd.com/v3/shipments/<shipment_id>/documents
Request Headers
Authorization: Bearer token-from >Authentication
Content-Type: application/json
User-Agent: your user-agent >How to call the APIs
Successful response example
{
"data": [
{
"id": "document-id",
"created_at": "2026-03-10T17:11:25.461641+00:00",
"updated_at": "2026-03-10T17:11:25.461671+00:00",
"data_type": "pdfb64",
"print_copies": 0,
"format": "label",
"internal": true,
"name": "Return Label",
"meta": {
"carrier": "dhl_de",
"carrier_shipment_id": "a-shipment-id",
"carrier_service_code": null,
"carrier_tracking_url": "an-url",
"carrier_tracking_number": "a-tracking-number"
},
"type": "return_label",
"unit_id": null
}
]
}Updated 5 days ago
